MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000442Xdebug(No Category)public2009-05-24 19:312009-07-05 21:58
Reporterpgnet 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0dev 
Target VersionFixed in Version 
Summary0000442: configure: error: "you have strange libedit"
Descriptioni'm not sure how to re-open or add to a closed issue ... this is the same symptom as "http://bugs.xdebug.org/view.php?id=433". [^]

per request there,

  "... Can you show me the full output and the full config.log? ... "


port installed libedit
 The following ports are currently installed:
   libedit @20090111-3.0_0 (active)

ls -al /opt/local/lib/libedit*
    -rwxr-xr-x 2 root admin 141132 2009-05-24 09:18 /opt/local/lib/libedit.0.0.28.dylib
    lrwxr-xr-x 1 root admin 20 2009-05-24 09:19 /opt/local/lib/libedit.0.dylib -> libedit.0.0.28.dylib
    -rw-r--r-- 2 root admin 241744 2009-05-24 09:18 /opt/local/lib/libedit.a
    lrwxr-xr-x 1 root admin 20 2009-05-24 09:19 /opt/local/lib/libedit.dylib -> libedit.0.0.28.dylib
    -rwxr-xr-x 2 root admin 844 2009-05-24 09:18 /opt/local/lib/libedit.la

setenv LDFLAGS "-L/opt/local/lib"

./configure --with-libedit
checking for a BSD-compatible install... /opt/local/bin/ginstall -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /opt/local/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... powerpc-apple-darwin9.7.0
checking host system type... powerpc-apple-darwin9.7.0
checking whether make sets $(MAKE)... (cached) yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /opt/local/bin/ginstall -c
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /opt/local/bin/grep
checking for egrep... /opt/local/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking error.h usability... no
checking error.h presence... no
checking for error.h... no
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking malloc.h usability... no
checking malloc.h presence... no
checking for malloc.h... no
checking syslog.h usability... yes
checking syslog.h presence... yes
checking for syslog.h... yes
checking for unistd.h... (cached) yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking size of char... 1
checking size of short... 2
checking size of int... 4
checking size of long... 4
checking size of long long... 8
checking for gethostbyname in -lnsl... no
checking for socket in -lsocket... no
checking for strerror... yes
checking for strtol... yes
checking for strtoul... yes
checking whether to enable debugging... no
checking whether to use dmalloc debugging... no
checking whether to use libedit... yes
checking for tgetflag in -ltermcap... yes
checking for el_set in -ledit... yes
checking for H_SETSIZE... H_SETSIZE
checking for number of arguments to el_init... configure: error: "you have strange libedit"


cat /usr/local/src/xdebug/debugclient/config.log
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.63. Invocation command line was

  $ ./configure --with-libedit

## --------- ##
## Platform. ##
## --------- ##

hostname = desktop.local
uname -m = Power Macintosh
uname -r = 9.7.0
uname -s = Darwin
uname -v = Darwin Kernel Version 9.7.0: Tue Mar 31 22:54:29 PDT 2009; root:xnu-1228.12.14~1/RELEASE_PPC

/usr/bin/uname -p = powerpc
/bin/uname -X = unknown

/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = Mach kernel version:
     Darwin Kernel Version 9.7.0: Tue Mar 31 22:54:29 PDT 2009; root:xnu-1228.12.14~1/RELEASE_PPC
Kernel configured for a single processor only.
1 processor is physically available.
1 processor is logically available.
Processor type: ppc7450 (PowerPC 7450)
Processor active: 0
Primary memory available: 1.00 gigabytes
Default processor set: 113 tasks, 437 threads, 1 processors
Load average: 2.02, Mach factor: 0.29
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /opt/local/bin
PATH: /opt/local/sbin
PATH: /opt/local/apache2/bin
PATH: /opt/local/apache2/sbin
PATH: /usr/local/X11R6/bin
PATH: /usr/X11R6/bin
PATH: /usr/local/bin
PATH: /usr/local/sbin
PATH: /bin
PATH: /sbin
PATH: /usr/bin
PATH: /usr/sbin
PATH: /usr/libexec
PATH: /usr/libexec/binutils
PATH: /usr/local/java/javacc-4.0/bin
PATH: /Library/Java/Home/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:2237: checking for a BSD-compatible install
configure:2305: result: /opt/local/bin/ginstall -c
configure:2316: checking whether build environment is sane
configure:2359: result: yes
configure:2384: checking for a thread-safe mkdir -p
configure:2423: result: /opt/local/bin/mkdir -p
configure:2436: checking for gawk
configure:2452: found /opt/local/bin/gawk
configure:2463: result: gawk
configure:2474: checking whether make sets $(MAKE)
configure:2496: result: yes
configure:2682: checking whether to enable maintainer-specific portions of Makefiles
configure:2691: result: no
configure:2710: checking build system type
configure:2728: result: powerpc-apple-darwin9.7.0
configure:2750: checking host system type
configure:2765: result: powerpc-apple-darwin9.7.0
configure:2789: checking whether make sets $(MAKE)
configure:2811: result: yes
configure:2869: checking for gcc
configure:2896: result: gcc
configure:3128: checking for C compiler version
configure:3136: gcc --version >&5
powerpc-apple-darwin9-gcc-4.0.1 (GCC) 4.0.1 (Apple Inc. build 5490)
Copyright (C) 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:3140: $? = 0
configure:3147: gcc -v >&5
Using built-in specs.
Target: powerpc-apple-darwin9
Configured with: /var/tmp/gcc/gcc-5490~1/src/configure --disable-checking -enable-werror --prefix=/usr --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-transform-name=/^[cg][^.-]*$/s/$/-4.0/ --with-gxx-include-dir=/include/c++/4.0.0 --with-slibdir=/usr/lib --build=i686-apple-darwin9 --program-prefix= --host=powerpc-apple-darwin9 --target=powerpc-apple-darwin9
Thread model: posix
gcc version 4.0.1 (Apple Inc. build 5490)
configure:3151: $? = 0
configure:3158: gcc -V >&5
gcc-4.0: argument to `-V' is missing
configure:3162: $? = 1
configure:3185: checking for C compiler default output file name
configure:3207: gcc -L/opt/local/lib conftest.c >&5
configure:3211: $? = 0
configure:3249: result: a.out
configure:3268: checking whether the C compiler works
configure:3278: ./a.out
configure:3282: $? = 0
configure:3301: result: yes
configure:3308: checking whether we are cross compiling
configure:3310: result: no
configure:3313: checking for suffix of executables
configure:3320: gcc -o conftest -L/opt/local/lib conftest.c >&5
configure:3324: $? = 0
configure:3350: result:
configure:3356: checking for suffix of object files
configure:3382: gcc -c conftest.c >&5
configure:3386: $? = 0
configure:3411: result: o
configure:3415: checking whether we are using the GNU C compiler
configure:3444: gcc -c conftest.c >&5
configure:3451: $? = 0
configure:3468: result: yes
configure:3477: checking whether gcc accepts -g
configure:3507: gcc -c -g conftest.c >&5
configure:3514: $? = 0
configure:3615: result: yes
configure:3632: checking for gcc option to accept ISO C89
configure:3706: gcc -c -g -O2 conftest.c >&5
configure:3713: $? = 0
configure:3736: result: none needed
configure:3765: checking for style of include used by make
configure:3793: result: GNU
configure:3818: checking dependency style of gcc
configure:3909: result: gcc3
configure:3987: checking for a BSD-compatible install
configure:4055: result: /opt/local/bin/ginstall -c
configure:4073: checking how to run the C preprocessor
configure:4113: gcc -E conftest.c
configure:4120: $? = 0
configure:4151: gcc -E conftest.c
conftest.c:10:28: error: ac_nonexistent.h: No such file or directory
configure:4158: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:4191: result: gcc -E
configure:4220: gcc -E conftest.c
configure:4227: $? = 0
configure:4258: gcc -E conftest.c
conftest.c:10:28: error: ac_nonexistent.h: No such file or directory
configure:4265: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:4305: checking for grep that handles long lines and -e
configure:4365: result: /opt/local/bin/grep
configure:4370: checking for egrep
configure:4434: result: /opt/local/bin/grep -E
configure:4439: checking for ANSI C header files
configure:4469: gcc -c -g -O2 conftest.c >&5
configure:4476: $? = 0
configure:4575: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c >&5
configure:4579: $? = 0
configure:4585: ./conftest
configure:4589: $? = 0
configure:4607: result: yes
configure:4631: checking for sys/types.h
configure:4652: gcc -c -g -O2 conftest.c >&5
configure:4659: $? = 0
configure:4676: result: yes
configure:4631: checking for sys/stat.h
configure:4652: gcc -c -g -O2 conftest.c >&5
configure:4659: $? = 0
configure:4676: result: yes
configure:4631: checking for stdlib.h
configure:4652: gcc -c -g -O2 conftest.c >&5
configure:4659: $? = 0
configure:4676: result: yes
configure:4631: checking for string.h
configure:4652: gcc -c -g -O2 conftest.c >&5
configure:4659: $? = 0
configure:4676: result: yes
configure:4631: checking for memory.h
configure:4652: gcc -c -g -O2 conftest.c >&5
configure:4659: $? = 0
configure:4676: result: yes
configure:4631: checking for strings.h
configure:4652: gcc -c -g -O2 conftest.c >&5
configure:4659: $? = 0
configure:4676: result: yes
configure:4631: checking for inttypes.h
configure:4652: gcc -c -g -O2 conftest.c >&5
configure:4659: $? = 0
configure:4676: result: yes
configure:4631: checking for stdint.h
configure:4652: gcc -c -g -O2 conftest.c >&5
configure:4659: $? = 0
configure:4676: result: yes
configure:4631: checking for unistd.h
configure:4652: gcc -c -g -O2 conftest.c >&5
configure:4659: $? = 0
configure:4676: result: yes
configure:4717: checking error.h usability
configure:4734: gcc -c -g -O2 conftest.c >&5
conftest.c:53:19: error: error.h: No such file or directory
configure:4741: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <error.h>
configure:4755: result: no
configure:4759: checking error.h presence
configure:4774: gcc -E conftest.c
conftest.c:20:19: error: error.h: No such file or directory
configure:4781: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <error.h>
configure:4795: result: no
configure:4823: checking for error.h
configure:4832: result: no
configure:4717: checking fcntl.h usability
configure:4734: gcc -c -g -O2 conftest.c >&5
configure:4741: $? = 0
configure:4755: result: yes
configure:4759: checking fcntl.h presence
configure:4774: gcc -E conftest.c
configure:4781: $? = 0
configure:4795: result: yes
configure:4823: checking for fcntl.h
configure:4832: result: yes
configure:4717: checking malloc.h usability
configure:4734: gcc -c -g -O2 conftest.c >&5
conftest.c:54:20: error: malloc.h: No such file or directory
configure:4741: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <malloc.h>
configure:4755: result: no
configure:4759: checking malloc.h presence
configure:4774: gcc -E conftest.c
conftest.c:21:20: error: malloc.h: No such file or directory
configure:4781: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| /* end confdefs.h. */
| #include <malloc.h>
configure:4795: result: no
configure:4823: checking for malloc.h
configure:4832: result: no
configure:4717: checking syslog.h usability
configure:4734: gcc -c -g -O2 conftest.c >&5
configure:4741: $? = 0
configure:4755: result: yes
configure:4759: checking syslog.h presence
configure:4774: gcc -E conftest.c
configure:4781: $? = 0
configure:4795: result: yes
configure:4823: checking for syslog.h
configure:4832: result: yes
configure:4706: checking for unistd.h
configure:4713: result: yes
configure:4717: checking dlfcn.h usability
configure:4734: gcc -c -g -O2 conftest.c >&5
configure:4741: $? = 0
configure:4755: result: yes
configure:4759: checking dlfcn.h presence
configure:4774: gcc -E conftest.c
configure:4781: $? = 0
configure:4795: result: yes
configure:4823: checking for dlfcn.h
configure:4832: result: yes
configure:4849: checking for an ANSI C-conforming const
configure:4924: gcc -c -g -O2 conftest.c >&5
configure:4931: $? = 0
configure:4946: result: yes
configure:4956: checking for inline
configure:4982: gcc -c -g -O2 conftest.c >&5
configure:4989: $? = 0
configure:5007: result: inline
configure:5030: checking size of char
configure:5335: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c >&5
configure:5339: $? = 0
configure:5345: ./conftest
configure:5349: $? = 0
configure:5375: result: 1
configure:5389: checking size of short
configure:5694: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c >&5
configure:5698: $? = 0
configure:5704: ./conftest
configure:5708: $? = 0
configure:5734: result: 2
configure:5748: checking size of int
configure:6053: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c >&5
configure:6057: $? = 0
configure:6063: ./conftest
configure:6067: $? = 0
configure:6093: result: 4
configure:6107: checking size of long
configure:6412: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c >&5
configure:6416: $? = 0
configure:6422: ./conftest
configure:6426: $? = 0
configure:6452: result: 4
configure:6466: checking size of long long
configure:6771: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c >&5
configure:6775: $? = 0
configure:6781: ./conftest
configure:6785: $? = 0
configure:6811: result: 8
configure:6823: checking for gethostbyname in -lnsl
configure:6858: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c -lnsl >&5
ld: library not found for -lnsl
collect2: ld returned 1 exit status
configure:6865: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define SIZEOF_CHAR 1
| #define SIZEOF_SHORT 2
| #define SIZEOF_INT 4
| #define SIZEOF_LONG 4
| #define SIZEOF_LONG_LONG 8
| /* end confdefs.h. */
|
| /* Override any GCC internal prototype to avoid an error.
| Use char because int might match the return type of a GCC
| builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char gethostbyname ();
| int
| main ()
| {
| return gethostbyname ();
| ;
| return 0;
| }
configure:6886: result: no
configure:6898: checking for socket in -lsocket
configure:6933: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c -lsocket >&5
ld: library not found for -lsocket
collect2: ld returned 1 exit status
configure:6940: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define SIZEOF_CHAR 1
| #define SIZEOF_SHORT 2
| #define SIZEOF_INT 4
| #define SIZEOF_LONG 4
| #define SIZEOF_LONG_LONG 8
| /* end confdefs.h. */
|
| /* Override any GCC internal prototype to avoid an error.
| Use char because int might match the return type of a GCC
| builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char socket ();
| int
| main ()
| {
| return socket ();
| ;
| return 0;
| }
configure:6961: result: no
configure:6979: checking for strerror
configure:7035: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c >&5
configure:7042: $? = 0
configure:7064: result: yes
configure:6979: checking for strtol
configure:7035: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c >&5
configure:7042: $? = 0
configure:7064: result: yes
configure:6979: checking for strtoul
configure:7035: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c >&5
configure:7042: $? = 0
configure:7064: result: yes
configure:7085: checking whether to enable debugging
configure:7112: result: no
configure:7118: checking whether to use dmalloc debugging
configure:7209: result: no
configure:7215: checking whether to use libedit
configure:7222: result: yes
configure:7224: checking for tgetflag in -ltermcap
configure:7259: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c -ltermcap >&5
configure:7266: $? = 0
configure:7287: result: yes
configure:7300: checking for el_set in -ledit
configure:7335: gcc -o conftest -g -O2 -L/opt/local/lib conftest.c -ledit -ltermcap >&5
configure:7342: $? = 0
configure:7363: result: yes
configure:7373: checking for H_SETSIZE
configure:7397: result: H_SETSIZE
configure:7414: checking for number of arguments to el_init
configure:7447: gcc -c -g -O2 conftest.c >&5
conftest.c: In function 'main':
conftest.c:46: error: nested functions are disabled, use -fnested-functions to re-enable
configure:7454: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define SIZEOF_CHAR 1
| #define SIZEOF_SHORT 2
| #define SIZEOF_INT 4
| #define SIZEOF_LONG 4
| #define SIZEOF_LONG_LONG 8
| #define HAVE_STRERROR 1
| #define HAVE_STRTOL 1
| #define HAVE_STRTOUL 1
| #define HAVE_TERMCAP 1
| #define HAVE_LIBEDIT 1
| #define XDC_H_SETSIZE H_SETSIZE
| /* end confdefs.h. */
|
| #include <stdio.h>
| #include <histedit.h>
|
| int
| main ()
| {
|
| static EditLine *el = NULL;
|
| int main()
| {
| el = el_init("foo", stdin, stdout, stderr);
| }
|
| ;
| return 0;
| }
configure:7495: gcc -c -g -O2 conftest.c >&5
conftest.c: In function 'main':
conftest.c:46: error: nested functions are disabled, use -fnested-functions to re-enable
conftest.c: In function 'main':
conftest.c:47: error: too few arguments to function 'el_init'
configure:7502: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "debugclient"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_SYSLOG_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define SIZEOF_CHAR 1
| #define SIZEOF_SHORT 2
| #define SIZEOF_INT 4
| #define SIZEOF_LONG 4
| #define SIZEOF_LONG_LONG 8
| #define HAVE_STRERROR 1
| #define HAVE_STRTOL 1
| #define HAVE_STRTOUL 1
| #define HAVE_TERMCAP 1
| #define HAVE_LIBEDIT 1
| #define XDC_H_SETSIZE H_SETSIZE
| /* end confdefs.h. */
|
| #include <stdio.h>
| #include <histedit.h>
|
| int
| main ()
| {
|
| static EditLine *el = NULL;
|
| int main()
| {
| el = el_init("foo", stdin, stdout);
| }
|
| ;
| return 0;
| }
configure:7512: error: "you have strange libedit"

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=powerpc-apple-darwin9.7.0
ac_cv_c_compiler_gnu=yes
ac_cv_c_const=yes
ac_cv_c_inline=inline
ac_cv_env_CC_set=set
ac_cv_env_CC_value=gcc
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value=-L/opt/local/lib
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_func_strerror=yes
ac_cv_func_strtol=yes
ac_cv_func_strtoul=yes
ac_cv_header_dlfcn_h=yes
ac_cv_header_error_h=no
ac_cv_header_fcntl_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_malloc_h=no
ac_cv_header_memory_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_syslog_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=powerpc-apple-darwin9.7.0
ac_cv_lib_edit_el_set=yes
ac_cv_lib_nsl_gethostbyname=no
ac_cv_lib_socket_socket=no
ac_cv_lib_termcap_tgetflag=yes
ac_cv_objext=o
ac_cv_path_EGREP='/opt/local/bin/grep -E'
ac_cv_path_GREP=/opt/local/bin/grep
ac_cv_path_install='/opt/local/bin/ginstall -c'
ac_cv_path_mkdir=/opt/local/bin/mkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_make_make_set=yes
ac_cv_sizeof_char=1
ac_cv_sizeof_int=4
ac_cv_sizeof_long=4
ac_cv_sizeof_long_long=8
ac_cv_sizeof_short=2
am_cv_CC_dependencies_compiler_type=gcc3

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /usr/local/src/xdebug/debugclient/missing --run aclocal-1.10'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /usr/local/src/xdebug/debugclient/missing --run tar'
AS='gcc -c'
AUTOCONF='${SHELL} /usr/local/src/xdebug/debugclient/missing --run autoconf'
AUTOHEADER='${SHELL} /usr/local/src/xdebug/debugclient/missing --run autoheader'
AUTOMAKE='${SHELL} /usr/local/src/xdebug/debugclient/missing --run automake-1.10'
AWK='gawk'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPP='gcc -E'
CPPFLAGS=''
CYGPATH_W='echo'
DEFS=''
DEPDIR='.deps'
ECHO_C='\c'
ECHO_N=''
ECHO_T=''
EGREP='/opt/local/bin/grep -E'
EXEEXT=''
GREP='/opt/local/bin/grep'
INCLUDES=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LDFLAGS='-L/opt/local/lib'
LIBOBJS=''
LIBS='-ledit -ltermcap '
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='${SHELL} /usr/local/src/xdebug/debugclient/missing --run makeinfo'
MKDIR_P='/opt/local/bin/mkdir -p'
OBJEXT='o'
PACKAGE='debugclient'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
VERSION=''
XDEBUG_MODULES=''
XDEBUG_MOD_MAKEFILES=''
XDEBUG_STATIC_LDADD=''
XDEBUG_STATIC_MODULES=''
ac_ct_CC='gcc'
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build='powerpc-apple-darwin9.7.0'
build_alias=''
build_cpu='powerpc'
build_os='darwin9.7.0'
build_vendor='apple'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE}'
dvidir='${docdir}'
exec_prefix='NONE'
host='powerpc-apple-darwin9.7.0'
host_alias=''
host_cpu='powerpc'
host_os='darwin9.7.0'
host_vendor='apple'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='$(SHELL) /usr/local/src/xdebug/debugclient/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='/opt/local/bin/mkdir -p'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='NONE'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE_NAME ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define PACKAGE_STRING ""
#define PACKAGE_BUGREPORT ""
#define PACKAGE "debugclient"
#define VERSION ""
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_FCNTL_H 1
#define HAVE_SYSLOG_H 1
#define HAVE_UNISTD_H 1
#define HAVE_DLFCN_H 1
#define SIZEOF_CHAR 1
#define SIZEOF_SHORT 2
#define SIZEOF_INT 4
#define SIZEOF_LONG 4
#define SIZEOF_LONG_LONG 8
#define HAVE_STRERROR 1
#define HAVE_STRTOL 1
#define HAVE_STRTOUL 1
#define HAVE_TERMCAP 1
#define HAVE_LIBEDIT 1
#define XDC_H_SETSIZE H_SETSIZE

configure: exit 1
Additional Informationas there's no php v5.2.9 or xdebug v2.0.4 options in the dropdowns ...

php -v
 PHP 5.2.9 (cli) (built: May 23 2009 16:55:12)
 Copyright (c) 1997-2009 The PHP Group
 Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies
     with Xdebug v2.0.4, Copyright (c) 2002-2008, by Derick Rethans
     with Suhosin v0.9.27, Copyright (c) 2007, by SektionEins GmbH
TagsNo tags attached.
Operating SystemOSX 10.5.7 / Darwin Kernel Version 9.7.0: Tue Mar 31 22:54:29 PDT 2009; root:xnu-1228.12.14~1/RELEASE_PPC
PHP Version5.2.8
Attached Files

- Relationships
has duplicate 0000549resolvedderick debug client configure script fails on OS X 10.5 

-  Notes
(0000977)
derick (administrator)
2009-07-05 21:58

Fixed in CVS.

- Issue History
Date Modified Username Field Change
2009-05-24 19:31 pgnet New Issue
2009-05-24 19:31 pgnet Operating System => OSX 10.5.7 / Darwin Kernel Version 9.7.0: Tue Mar 31 22:54:29 PDT 2009; root:xnu-1228.12.14~1/RELEASE_PPC
2009-05-24 19:31 pgnet PHP Version => 5.2.8
2009-05-24 19:31 pgnet Xdebug Version => 2.0.3
2009-07-05 21:58 derick Note Added: 0000977
2009-07-05 21:58 derick Status new => closed
2009-07-05 21:58 derick Resolution open => fixed
2010-03-19 00:56 derick Relationship added has duplicate 0000549
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker